static  char    SCCS_ID [] = "@(#)conf.c	1.3";
#include <sys/local.h>
#include <sys/param.h>
#include <sys/inode.h>
#include "../saio.h"

devread(io)
register struct iob *io;
{
	return (*devsw[io->i_ino.i_dev].dv_strategy) (io, READ);
}

devwrite(io)
register struct iob *io;
{
	return (*devsw[io->i_ino.i_dev].dv_strategy) (io, WRITE);
}

devopen(io)
register struct iob *io;
{
	(*devsw[io->i_ino.i_dev].dv_open)(io);
}

devclose(io)
register struct iob *io;
{
	(*devsw[io->i_ino.i_dev].dv_close)(io);
}

nullsys()
{ ; }

int	dskstrategy();
int	d40strategy();
int	nullsys();
int     d67strategy();
int     d256strategy();
int     c13rstrategy();
int     c13fstrategy();
int     c40fstrategy();
int     c67fstrategy();
int	uddstrategy();
int	mtstrategy(), mtopen(), mtclose();

struct devsw devsw[] = {
 {      "dsk",  dskstrategy,    nullsys,        nullsys,        F_BLK, },
 {      "d10",  dskstrategy,    nullsys,        nullsys,        F_BLK, },
 {      "mt",   mtstrategy,     mtopen,         mtclose,        0,     },
 {      "msm",  d67strategy,    nullsys,        nullsys,        F_BLK, },
 {      "d67",  d67strategy,    nullsys,        nullsys,        F_BLK, },
 {      "d256", d256strategy,   nullsys,        nullsys,        F_BLK, },
 {      "c13r", c13rstrategy,   nullsys,        nullsys,        F_BLK, },
 {      "c13f", c13fstrategy,   nullsys,        nullsys,        F_BLK, },
 {      "c40f", c40fstrategy,   nullsys,        nullsys,        F_BLK, },
 {      "c67f", c67fstrategy,   nullsys,        nullsys,        F_BLK, },
 {      "d40",  d40strategy,    nullsys,        nullsys,        F_BLK, },
 {      "udd",  uddstrategy,    nullsys,        nullsys,        F_BLK, },
 {      0 },
};
